@blowdart:Btw, I still think that even if Microsoft does not intend to support .NET v4.5 on WinXP, they should still release a seperate 4.0.4 update package for WinXP users.

.NET v4 is still under mainstream support, Microsoft does not have reason to prevent WinXP users to get an update for a currently supported product.